Project

General

Profile

Bug #47677

qa: AttributeError: 'list' object has no attribute 'stderr'

Added by Patrick Donnelly 26 days ago. Updated 15 days ago.

Status:
Pending Backport
Priority:
High
Category:
-
Target version:
% Done:

0%

Source:
Q/A
Tags:
Backport:
octopus,nautilus
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:
Crash signature:

Description

2020-09-26T11:10:03.377 INFO:teuthology.orchestra.run.smithi007:> sudo logrotate /etc/logrotate.d/ceph-test.conf
2020-09-26T11:10:03.380 INFO:teuthology.orchestra.run.smithi115:> sudo logrotate /etc/logrotate.d/ceph-test.conf
2020-09-26T11:10:03.717 INFO:teuthology.orchestra.run.smithi115.stderr:error: error renaming temp state file /var/lib/logrotate/logrotate.status.tmp
2020-09-26T11:10:03.777 INFO:tasks.workunit.client.0.smithi115.stdout:   1    600291     5.77 MB/sec  execute 428 sec  latency 40.138 ms
2020-09-26T11:10:03.974 DEBUG:teuthology.orchestra.run:got remote process result: 1
2020-09-26T11:10:03.978 ERROR:teuthology:Uncaught exception (Hub)
Traceback (most recent call last):
  File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-pdonnell-testing-20200926.000717/qa/tasks/ceph.py", line 185, in invoke_logrotate
    run.wait(p)
  File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/orchestra/run.py", line 470, in wait
    proc.wait()
  File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/orchestra/run.py", line 160, in wait
    self._raise_for_status()
  File "/home/teuthworker/src/git.ceph.com_git_teuthology_master/teuthology/orchestra/run.py", line 182, in _raise_for_status
    node=self.hostname, label=self.label
teuthology.exceptions.CommandFailedError: Command failed on smithi115 with status 1: 'sudo logrotate /etc/logrotate.d/ceph-test.conf'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "src/gevent/greenlet.py", line 766, in gevent._greenlet.Greenlet.run
  File "/home/teuthworker/src/git.ceph.com_ceph-c_wip-pdonnell-testing-20200926.000717/qa/tasks/ceph.py", line 200, in invoke_logrotate
    err = p.stderr.getvalue()
AttributeError: 'list' object has no attribute 'stderr'

From: /ceph/teuthology-archive/pdonnell-2020-09-26_05:47:11-fs-wip-pdonnell-testing-20200926.000717-distro-basic-smithi/5471247/teuthology.log

Fix for #42433 was broken.


Related issues

Related to Ceph - Bug #42433: qa: error: error renaming temp state file /var/lib/logrotate/logrotate.status.tmp Pending Backport
Copied to Ceph - Backport #47820: nautilus: qa: AttributeError: 'list' object has no attribute 'stderr' In Progress
Copied to Ceph - Backport #47821: octopus: qa: AttributeError: 'list' object has no attribute 'stderr' In Progress

History

#1 Updated by Patrick Donnelly 26 days ago

  • Related to Bug #42433: qa: error: error renaming temp state file /var/lib/logrotate/logrotate.status.tmp added

#2 Updated by Patrick Donnelly 26 days ago

  • Status changed from In Progress to Fix Under Review
  • Pull request ID set to 37441

#3 Updated by Patrick Donnelly 15 days ago

  • Status changed from Fix Under Review to Pending Backport
  • Backport set to octopus,nautilus

#4 Updated by Nathan Cutler 15 days ago

  • Copied to Backport #47820: nautilus: qa: AttributeError: 'list' object has no attribute 'stderr' added

#5 Updated by Nathan Cutler 15 days ago

  • Copied to Backport #47821: octopus: qa: AttributeError: 'list' object has no attribute 'stderr' added

Also available in: Atom PDF